Permalink
Browse files

Move most dev reqs to dev-requirements.txt

  • Loading branch information...
1 parent f927059 commit 05edc7717950019fcaf067a8a9df4b9e80c51e1e @bitprophet bitprophet committed Jul 7, 2013
Showing with 15 additions and 10 deletions.
  1. +12 −0 dev-requirements.txt
  2. +3 −10 requirements.txt
View
@@ -0,0 +1,12 @@
+# You should already have the dev version of Paramiko and your local Fabric
+# checkout installed! Stable Paramiko may not be sufficient!
+
+# Test runner/testing utils
+nose
+# Rudolf adds color to the output of 'fab test'. This is a custom fork
+# addressing Python 2.7 and Nose's 'skip' plugin compatibility issues.
+-e git+https://github.com/bitprophet/rudolf#egg=rudolf
+# Mocking library
+Fudge < 1.0
+# Documentation generation
+Sphinx >= 0.6
View
@@ -5,13 +5,6 @@
# Development version of Paramiko, just in case we're in one of those phases.
-e git+https://github.com/paramiko/paramiko#egg=paramiko
-
-# Test runner/testing utils
-nose
-# Rudolf adds color to the output of 'fab test'. This is a custom fork
-# addressing Python 2.7 and Nose's 'skip' plugin compatibility issues.
--e git+https://github.com/bitprophet/rudolf#egg=rudolf
-# Mocking library
-Fudge < 1.0
-# Documentation generation
-Sphinx >= 0.6
+# Pull in actual "you already have local installed checkouts of Fabric +
+# Paramiko" dev deps.
+-r dev-requirements.txt

0 comments on commit 05edc77

Please sign in to comment.